From 6495c1f7d8ba0a79cf2116cfc16779b390aaa4ae Mon Sep 17 00:00:00 2001
From: Jie Tang <tangjie18@huawei.com>
Date: Tue, 19 May 2020 10:59:23 +0800
Subject: [PATCH 07/16] cpu_device_hotplug_maximum: The value of machine_type
 getted from machines.cfg is incorrect on arm.

The value of machine_type getted from machines.cfg is incorrect on arm, it should be cut before used.

Signed-off-by: Jie Tang <tangjie18@huawei.com>
---
 qemu/tests/cpu_device_hotplug_maximum.py | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/qemu/tests/cpu_device_hotplug_maximum.py b/qemu/tests/cpu_device_hotplug_maximum.py
index 52b9beb1..d74e291f 100644
--- a/qemu/tests/cpu_device_hotplug_maximum.py
+++ b/qemu/tests/cpu_device_hotplug_maximum.py
@@ -1,5 +1,6 @@
 import re
 import logging
+import platform
 from os import uname
 
 from avocado.utils import cpu
@@ -28,7 +29,10 @@ def run(test, params, env):
     :param env:    Dictionary with test environment.
     """
     os_type = params["os_type"]
-    machine_type = params["machine_type"]
+    if platform.machine() == 'aarch64':
+        machine_type = params["machine_type"].split(':', 1)[1]
+    else:
+        machine_type = params["machine_type"]
     reboot_timeout = params.get_numeric("reboot_timeout")
     mismatch_text = "Actual number of guest CPUs is not equal to the expected"
     not_equal_text = "CPU quantity mismatched! Guest got %s but expected is %s"
-- 
2.23.0

